首页 WordPress致命漏洞注入shell

WordPress致命漏洞注入shell

  • 网站漏洞修复对WordPress致命漏洞注入shell

    网站漏洞修复对WordPress致命漏洞注入shell

    2019年8月刚开始,WordPress最新版本存在远程代码注入获取SHELL漏洞,该网站漏洞影响的版本是wordpress5.0.0,漏洞的产生是因为image模块导致的,因为代码里可以进行获取目录权限,以及文件包含功能,导致远程代码注入成功。通过外界公布的漏洞细节详情,我们通过安全分析发现,漏洞主要是在wordpress上传图片这里,看了下代码post meta参数值并没有过滤,导致可以修改WP博客的数据库标段,在文件包含嵌入本地文件地址的时候可以跨目录的修改参数,导致保存的图片可以任意保存到网站的任何目录下。...

1